SHANNON A.I. Logo
SHANNON A.I.
Wiregbe Ifowoleri API Iwadi Ile-iṣẹ Pentest AI Igbelaruge Ibẹrẹ
Wọle
Eto & Lilo
Wiregbe Ifowoleri API Iwadi Ile-iṣẹ Pentest AI Igbelaruge Ibẹrẹ Wọle Eto & Lilo

Yan ede rẹ

Gbogbo awọn ede jẹ dogba. Yan eyi ti o fẹ lọ kiri lori ayelujara.

API Documentation

Shannon API

Ṣii AI & Anthropic ibaramu AI API pẹlu pipe iṣẹ, wiwa wẹẹbu, ati awọn abajade ti a ṣeto.

Gba Key API Rẹ Gbiyanju aaye ibi-iṣere V2
Awọn iwe aṣẹ
  • OV Akopọ
  • CP Awọn agbara
  • QS Ibẹrẹ kiakia
  • PG API ibi isereile Tuntun
  • AU Ijeri
  • ML Awọn awoṣe
  • FN Ipe iṣẹ
  • JS Awọn igbejade ti a ṣeto
  • SS Sisanwọle
  • WS Iwadi Wẹẹbu ti a ṣe sinu
  • AN Anthropic kika
  • SD Awọn SDK
  • ER Mimu Aṣiṣe
  • CL Changelog
  • AK Bọtini API rẹ
  • US Lilo rẹ

Shannon AI API Documentation

Akopọ

Awọn iwe aṣẹ gbangba

Ohun gbogbo ti o nilo lati firanṣẹ pẹlu Shannon's OpenAI ati API ibaramu Anthropic.

URL ipilẹ Ṣii-ibaramu
https://api.shannon-ai.com/v1/chat/completions

Lo API Iwiregbe Ipari pẹlu pipe iṣẹ ati ṣiṣanwọle.

URL ipilẹ Anthropic-ibaramu
https://api.shannon-ai.com/v1/messages

Claude Awọn ifiranṣẹ kika pẹlu irinṣẹ ati anthropic-version akọsori.

Awọn akọle Ijeri
Aṣẹ: Olugbeni <ọrọ-rẹ>

Tabi X-API-Key pẹlu ẹya anthropic fun awọn ipe ara Claude.

Wiwọle Ipo
Awọn iwe aṣẹ ti gbogbo eniyan - Bọtini nilo lati pe

Ṣiṣanwọle, pipe iṣẹ, awọn abajade ti a ṣeto, wiwa wẹẹbu.

Lọlẹ akojọ ayẹwo
  • +
    Tọkasi SDK rẹ ni Shannon
    Ṣeto baseURL si OpenAI tabi awọn aaye ipari Anthropic loke.
    Iṣeto
  • +
    So bọtini API rẹ pọ
    Lo awọn ami oniduro fun awọn ipe OpenAI tabi X-API-Key + ẹya-ara eniyan.
    Aabo
  • +
    Mu awọn irinṣẹ ṣiṣẹ & awọn igbejade ti a ṣeto
    Ṣe atilẹyin awọn irinṣẹ/awọn iṣẹ ṣiṣe OpenAI, JSON ero, ati wiwa wẹẹbu_ti a ṣe sinu.
    Awọn agbara
  • +
    Lilo orin
    Wo àmi ati lilo wiwa lori oju-iwe yii nigbati o wọle si akọọlẹ rẹ.
    Atupale

Awọn agbara

Ṣii AI + Anthropic

Rirọpo ju silẹ fun OpenAI ati Awọn API Anthropic pẹlu atilẹyin abinibi fun awọn irinṣẹ, awọn abajade ti a ṣeto, ati wiwa wẹẹbu ti a ṣe sinu.

AI

Rirọpo ju-ni

Ni ibamu

Ṣiṣẹ pẹlu OpenAI ati Anthropic SDKs. Kan yi URL ipilẹ pada.

AI

Ipe iṣẹ

Awọn irinṣẹ

Ṣe alaye awọn irinṣẹ, jẹ ki Shannon pe wọn. Ṣe atilẹyin adaṣe, fi agbara mu, ati pe ko si awọn ipo.

AI

Iwadi Wẹẹbu ti a ṣe sinu

Wa

Wiwa wẹẹbu gidi-akoko pẹlu awọn itọka orisun. Wa ni aifọwọyi.

AI

Awọn igbejade ti a ṣeto

JSON

Ipo JSON ati JSON Iṣaṣe ilana fun isediwon data ti o gbẹkẹle.

AI

Olona-Tan Irinṣẹ

Aṣoju

Awọn losiwajulosehin ipaniyan iṣẹ adaṣe. Titi di awọn aṣetunṣe 10 fun ibeere.

AI

Sisanwọle

Yara

Awọn iṣẹlẹ ti a firanṣẹ olupin fun ṣiṣanwọle ami-akoko gidi.

Ibẹrẹ kiakia

5 iṣẹju

Bẹrẹ ni awọn igbesẹ mẹta. Awọn digi Shannon OpenAI ati awọn alabara Anthropic.

1

Ṣeto ipilẹ URL rẹ

Lo OpenAI-ibaramu aaye ipari.

https://api.shannon-ai.com/v1/chat/completions
2

Ṣafikun bọtini API rẹ

Lo auth Oluduro ni akọsori Aṣẹ.

3

Firanṣẹ ifiranṣẹ akọkọ rẹ

Yan ede kan ki o paarọ sinu bọtini rẹ.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Ọna kika idahun

Idahun Aṣeyọri
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API ibi isereile

Tuntun

Idanwo Shannon API taara ninu ẹrọ aṣawakiri rẹ. Kọ ibeere rẹ, ṣiṣẹ, ki o wo idahun ni akoko gidi.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/yo/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Gbiyanju aaye ibi-iṣere V2 Gba Key API Rẹ

Ijeri

Gbogbo awọn ibeere API nilo ìfàṣẹsí nipa lilo bọtini Shannon API rẹ.

Ṣii ọna kika AI (Ti ṣeduro)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic kika

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Awọn awoṣe

Shannon nfunni ni ọpọlọpọ awọn awoṣe iṣapeye fun awọn ọran lilo oriṣiriṣi.

AI
shannon-1.6-lite Shannon 1.6 Lite

Yara, awọn idahun ti o munadoko fun awọn iṣẹ ṣiṣe lojoojumọ

Atokọ 128K
Ti o dara ju Fun Wiregbe, Q&A, Iran Akoonu
AI
shannon-1.6-pro Shannon 1.6 Pro

To ti ni ilọsiwaju idi fun eka isoro

Atokọ 128K
Ti o dara ju Fun Onínọmbà, Iwadi, Awọn iṣẹ-ṣiṣe eka
AI
shannon-2-lite Shannon 2 Lite

Atokọ 128K
Ti o dara ju Fun
AI
shannon-2-pro Shannon 2 Pro

Atokọ 128K
Ti o dara ju Fun
AI
shannon-coder-1 Shannon Coder

Iṣapeye fun koodu Claude CLI pẹlu ipin-orisun ipe

Atokọ 128K
Ti o dara ju Fun Code Generation, Irinṣẹ Lo, CLI Integration
Ipin-orisun ipe

Ipe iṣẹ

Ṣetumo awọn irinṣẹ ti Shannon le pe lati ṣe awọn iṣe tabi gba alaye pada.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Awọn aṣayan Aṣayan Irinṣẹ

"auto" Awoṣe pinnu boya lati pe iṣẹ kan (aiyipada)
"none" Pa iṣẹ pipe fun ibeere yii
{"type": "function", "function": {"name": "..."}} Fi ipa mu ipe iṣẹ kan pato

Idahun Ipe Iṣẹ

Nigbati awoṣe ipe iṣẹ kan
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Awọn igbejade ti a ṣeto

Fi ipa mu Shannon lati dahun pẹlu JSON to wulo ti o baamu ero rẹ.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Awọn aṣayan kika idahun

{"type": "json_object"} Fi ipa mu iṣẹjade JSON (ko si eto kan pato)
{"type": "json_schema", "json_schema": {...}} Fi ipa mu iṣẹjade ti o baamu eto gangan rẹ

Sisanwọle

Muu ṣiṣanwọle ami-akoko gidi ṣiṣẹ pẹlu Awọn iṣẹlẹ ti a firanṣẹ Server fun awọn UI idahun.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Imọran: Awọn idahun ṣiṣanwọle de bi Awọn iṣẹlẹ ti A Firanṣẹ Server. Pipin kọọkan ni delta kan pẹlu akoonu apa kan.

Iwadi Wẹẹbu ti a ṣe sinu

Shannon pẹlu iṣẹ wiwa wẹẹbu ti a ṣe sinu ti o wa laifọwọyi.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Imọran Pro: Awọn abajade wiwa wẹẹbu pẹlu awọn itọka. Shannon yoo sọ awọn orisun laifọwọyi.

Anthropic kika

Shannon tun ṣe atilẹyin ọna kika Awọn ifiranṣẹ Anthropic.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Akọsori ti a beere: Anthropic kika nbeere anthropic-version: 2023-06-01.

Awọn SDK

Ni ibamu

Lo eyikeyi OpenAI tabi Anthropic SDK - kan yi URL ipilẹ pada.

Ṣii-ibaramu SDKs

SDK Python

OpenAI Python SDK osise - ṣiṣẹ pẹlu Shannon

pip install openai
Wo Awọn iwe aṣẹ ->
SDK JavaScript / TypeScript

OpenAI Node.js SDK osise - ṣiṣẹ pẹlu Shannon

npm install openai
Wo Awọn iwe aṣẹ ->
SDK Go

Community Go onibara fun OpenAI-ibaramu APIs

go get github.com/sashabaranov/go-openai
Wo Awọn iwe aṣẹ ->
SDK Ruby

Onibara Ruby Agbegbe fun OpenAI-ibaramu APIs

gem install ruby-openai
Wo Awọn iwe aṣẹ ->
SDK PHP

Onibara PHP agbegbe fun OpenAI-ibaramu APIs

composer require openai-php/client
Wo Awọn iwe aṣẹ ->
SDK Rust

Onibara Async Rust fun OpenAI-ibaramu APIs

cargo add async-openai
Wo Awọn iwe aṣẹ ->

Awọn SDK ibaramu Anthropic

SDK Python (Anthropic)

Official Anthropic Python SDK - ṣiṣẹ pẹlu Shannon

pip install anthropic
Wo Awọn iwe aṣẹ ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - ṣiṣẹ pẹlu Shannon

npm install @anthropic-ai/sdk
Wo Awọn iwe aṣẹ ->

Mimu Aṣiṣe

Shannon nlo awọn koodu ipo HTTP boṣewa ati da awọn ifiranṣẹ aṣiṣe alaye pada.

400 Ibeere buburu Ọna kika ibeere ti ko fẹsẹmulẹ tabi awọn paramita
401 Laigba aṣẹ Koko API ti ko wulo tabi nsọnu
402 Iye ti o ti kọja Tokini tabi ipin wiwa ti kọja
429 Oṣuwọn Limited Ọpọlọpọ awọn ibeere, fa fifalẹ
500 Aṣiṣe olupin Aṣiṣe inu, tun gbiyanju nigbamii

Ilana Idahun Aṣiṣe

Idahun Aṣiṣe
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Changelog

LOG

Awọn imudojuiwọn aipẹ ati awọn ilọsiwaju si Shannon API.

v2.1.0
2025-01-03
  • Tuntun Ti ṣafikun shannon-coder-1 awoṣe fun iṣọpọ koodu Claude CLI
  • Tuntun Eto ipin ti o da lori ipe fun awoṣe Coder
  • Imudara Imudara iṣẹ pipe igbẹkẹle
v2.0.0
2024-12-15
  • Tuntun Ibamu Awọn ifiranṣẹ Anthropic API
  • Tuntun Iṣe ipaniyan ohun elo ti o pọju (to awọn aṣetunṣe 10)
  • Tuntun JSON Atilẹyin ọna kika esi eto
  • Imudara Ilọsiwaju wiwa wẹẹbu pẹlu awọn itọka to dara julọ
v1.5.0
2024-11-20
  • Tuntun Ṣe afikun shannon-jin-dapo awoṣe fun idiju ero
  • Tuntun Iṣẹ wiwa wẹẹbu ti a ṣe sinu
  • Imudara Idinku idinku fun awọn idahun ṣiṣanwọle
v1.0.0
2024-10-01
  • Tuntun Itusilẹ API akọkọ
  • Tuntun OpenAI-ibaramu iwiregbe ipari ojuami
  • Tuntun Atilẹyin ipe iṣẹ
  • Tuntun Ṣiṣanwọle nipasẹ Awọn iṣẹlẹ ti a firanṣẹ olupin

Bọtini API rẹ

Wiwọle
Lo awọn ami oniduro fun awọn ipe OpenAI tabi X-API-Key + ẹya-ara eniyan.
YOUR_API_KEY
Gba Key API Rẹ

Tọju aṣiri bọtini API rẹ. Atunse ṣẹda bọtini titun ati sọ ti atijọ di asan.

Ẹya: 1
Ikẹhin yiyi: Kò
Ti lo kẹhin: Kò

Lilo rẹ

Wo àmi ati lilo wiwa lori oju-iwe yii nigbati o wọle si akọọlẹ rẹ.

-- Awọn ipe API
-- Àmi Lo

Shannon Coder (shannon-coder-1)

Iwọn orisun ipe fun Shannon Coder (shannon-coder-1). Tunto ni gbogbo wakati 4.

0 Awọn ipe ti a lo
0 Awọn ipe to ku

Ṣetan lati Kọ?

Gba bọtini API rẹ ki o bẹrẹ kikọ pẹlu Shannon AI loni.

Gba Key API Rẹ Wo Ifowoleri

Awọn iwadii olokiki:

Gbiyanju awọn koko-ọrọ oriṣiriṣi
Lilọ kiri: ↑ ↓ Yan: Enter Sunmọ: Esc